
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>在Lua程序中使用SQLite的教程 / iVAN</title>

    <meta name="description" content="在Lua程序中使用SQLite的教程   这篇文章主要介绍了在Lua程序中使用SQLite的教程,包括建立连接到基本的查询等一些操作,需要的朋友可以参考下 SQLite导入 我们可以用一个简单语句导入SQLite库,假设Lua中正确实现并已完成.在安装过程中,文件夹libsql包含数据库相关的文件. 代码如下: sqlite3 = require &quot;luasql.sqlite3&quot; 变量sqlite3将提供通过参照主sqlite3表访问该功能. 建立连接 我们成立了发起sqlite环境,然后创建环境的连接.它如下所 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">在Lua程序中使用SQLite的教程</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p> 　　这篇文章主要介绍了在Lua程序中使用SQLite的教程,包括建立连接到基本的查询等一些操作,需要的朋友可以参考下</p>
<p>　　SQLite导入</p>
<p>　　我们可以用一个简单语句导入SQLite库，假设Lua中正确实现并已完成。在安装过程中，文件夹libsql包含数据库相关的文件。</p>
<p>　　代码如下:</p>
<p>　　sqlite3 = require "luasql.sqlite3"</p>
<p>　　变量sqlite3将提供通过参照主sqlite3表访问该功能。</p>
<p>　　建立连接</p>
<p>　　我们成立了发起sqlite环境，然后创建环境的连接。它如下所示。</p>
<p>　　 代码如下:</p>
<p>　　local env = sqlite3.sqlite3()</p>
<p>　　local conn = env:connect('mydb.sqlite')</p>
<p>　　上述连接将连接到现有的SQLite文件或创建一个新的源码文件，并建立与新创建的文件的连接。</p>
<p>　　执行函数</p>
<p>　　有可用的，这将有助于我们执行创建，插入，删除，更新等，所有的数据库操作基于连接执行简单的功能。语法如下所示</p>
<p>　　 代码如下:</p>
<p>　　conn:execute([[ 'SQLite3STATEMENT' ]])</p>
<p>　　在上面的语法，我们需要确保conn是开放的及现有的sqlite3连接，代替“SQLite3STATEMENT”使用正确的语句。</p>
<p>　　创建表的例子</p>
<p>　　一个简单的创建表的示例如下所示。它创建类型为int和varchar类型，两个参数ID和name的表。</p>
<p>　　代码如下:</p>
<p>　　sqlite3 = require "luasql.sqlite3"</p>
<p>　　local env = sqlite3.sqlite3()</p>
<p>　　local conn = env:connect('mydb.sqlite')</p>
<p>　　print(env,conn)</p>
<p>　　status,errorString = conn:execute([[CREATE TABLE sample ('id' INTEGER,  'name' TEXT)]])</p>
<p>　　print(status,errorString )</p>
<p>　　当运行上面的程序，表名为sample将有两列分别是id和name会被创建。</p>
<p>　　 代码如下:</p>
<p>　　SQLite3 environment (003EC918) SQLite3 connection (00421F08)</p>
<p>　　0 nil</p>
<p>　　如果有错误，会返回nil的错误语句。下面一个简单的错误语句如下所示。</p>
<p>　　 代码如下:</p>
<p>　　LuaSQL: unrecognized token: ""'id' INTEGER, 'name' TEXT)"</p>
<p>　　Insert语句的例子</p>
<p>　　SQLite的一个INSERT语句如下所示。</p>
<p>　　代码如下:</p>
<p>　　conn:execute([[INSERT INTO sample values('11','Raj')]])</p>
<p>　　Select语句的例子</p>
<p>　　就select语句而言，我们需要遍历每一行，并提取所需的数据。下面简单的SELECT语句如下所示。</p>
<p>　　 代码如下:</p>
<p>　　cursor,errorString = conn:execute([[select * from sample]])</p>
<p>　　row = cursor:fetch ({}, "a")</p>
<p>　　while row do</p>
<p>　　print(string.format("Id: %s, Name: %s", row.id, row.name))</p>
<p>　　-- reusing the table of results</p>
<p>　　row = cursor:fetch (row, "a")</p>
<p>　　end</p>
<p>　　在上面的代码中，conn 是一个开放的sqlite3连接。在执行语句返回游标的帮助下，可以通过表的反应返回获取所需的选择数据。</p>
<p>　　一个完整的例子</p>
<p>　　所有上述声明一个完整的例子给出下面参考。</p>
<p>　　代码如下:</p>
<p>　　sqlite3 = require "luasql.sqlite3"</p>
<p>　　local env = sqlite3.sqlite3()</p>
<p>　　local conn = env:connect('mydb.sqlite')</p>
<p>　　print(env,conn)</p>
<p>　　status,errorString = conn:execute([[CREATE TABLE sample ('id' INTEGER,  'name' TEXT)]])</p>
<p>　　print(status,errorString )</p>
<p>　　status,errorString = conn:execute([[INSERT INTO sample  values('1','Raj')]])</p>
<p>　　print(status,errorString )</p>
<p>　　cursor,errorString = conn:execute([[select * from sample]])</p>
<p>　　print(cursor,errorString)</p>
<p>　　row = cursor:fetch ({}, "a")</p>
<p>　　while row do</p>
<p>　　print(string.format("Id: %s, Name: %s", row.id, row.name))</p>
<p>　　row = cursor:fetch (row, "a")</p>
<p>　　end</p>
<p>　　-- close everything</p>
<p>　　cursor:close()</p>
<p>　　conn:close()</p>
<p>　　env:close()</p>
<p>　　当运行上面的程序，会得到如下的输出。</p>
<p>　　 代码如下:</p>
<p>　　SQLite3 environment (005EC918) SQLite3 connection (005E77B0)</p>
<p>　　0 nil</p>
<p>　　1 nil</p>
<p>　　SQLite3 cursor (005E9200) nil</p>
<p>　　Id: 1, Name: Raj</p>
<p>　　我们可以用这个libsql库完成所有可用的查询。所以可以试验MySQL，SQLite3和其它Lua支持DB提供各种查询语句。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 16:57:18</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e8%af%ad%e5%8f%a5/" title="语句">语句</a>, <a href="https://www.iamivan.net/tag/conn/" title="conn">conn</a>, <a href="https://www.iamivan.net/tag/sqlite3/" title="sqlite3">sqlite3</a>, <a href="https://www.iamivan.net/tag/cursor/" title="Cursor">Cursor</a>, <a href="https://www.iamivan.net/tag/sqlite-%e6%95%b0%e6%8d%ae%e5%ba%93/" title="sqlite   数据库">sqlite   数据库</a>, <a href="https://www.iamivan.net/tag/qt-sqlite/" title="qt sqlite &period;&period;&period;">qt sqlite &period;&period;&period;</a>, <a href="https://www.iamivan.net/tag/adapter%e5%88%a0%e9%99%a4sqlite/" title="adapter删除sqlite">adapter删除sqlite</a>, <a href="https://www.iamivan.net/tag/php-sqlite3/" title="php sqlite3">php sqlite3</a>, <a href="https://www.iamivan.net/tag/sqlite3-qt/" title="sqlite3  qt">sqlite3  qt</a>, <a href="https://www.iamivan.net/tag/ios-sqlite3/" title="ios sqlite3">ios sqlite3</a>, <a href="https://www.iamivan.net/tag/sqlite3%e7%bc%96%e8%be%91%e5%99%a8assetsunity3d/" title="sqlite3编辑器assetsunity3d">sqlite3编辑器assetsunity3d</a>, <a href="https://www.iamivan.net/tag/python-sqlite3/" title="python sqlite3">python sqlite3</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>在Lua程序中使用SQLite的教程的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRX38dz.html" rel="bookmark">在Lua程序中使用SQLite的教程&lowbar;Lua</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 SQLite导入 我们可以用一个简单语句导入SQLite库,假设Lua中正确实现并已完成.在安装过程中,文件夹libsql包含数据库相关的文件.   复制代码 代码如下: sqlite3 = require &quot;luasql.sqlite3&quot; 变量sqlite3将提供通过参照主sqlite3表访问该功能.建立连接 我们成立了发起sqlite环境,然后创建环境的连接.它如下所示. 复制代码 代码如下: local env  = sqlite3.sqlite3() local conn =			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3NwL0z.html" rel="bookmark">在Lua程序中使用MySQL的教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了在Lua程序中使用MySQL的教程,是Lua入门学习中的基础知识,需要的朋友可以参考下 导入MySQL 我们可以用一个简单语句导入SQLite库,假设Lua中正确实现并已完成.在安装过程中,文件夹libsql包含数据库相关的文件. 代码如下: mysql = require &quot;luasql.mysql&quot; 可变的MySQL将提供通过参照主MySQL表访问该功能. 建立连接 我们可以设立一个启动MySQL的环境,然后创建环境的连接.如下所示. 代码如下: local			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZODm5b.html" rel="bookmark">在Java中使用SQLite的教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我一直想写一个在Java中使用SQLite的例子,但是很长时间都找不到一个真正合适的, 现在我终于找到了,我希望它可以帮助那些像我一样的Java新手走出困惑. 测试环境 Intel x86 Laptop Windows XP SP2 Java2 JDK 1.5 Update 8 Netbeans IDE 5.0 import java.sql.*; import org.sqlite.JDBC; /** * Very Basic SQLite Database Example * @author			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo3e8Db.html" rel="bookmark">在Ruby程序中连接数据库的详细教程&lowbar;ruby专题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本章节将向您讲解如何使用 Ruby 访问数据库.Ruby DBI 模块为 Ruby 脚本提供了类似于 Perl DBI 模块的独立于数据库的接口. DBI 即 Database independent interface,代表了 Ruby 独立于数据库的接口.DBI 在 Ruby 代码与底层数据库之间提供了一个抽象层,允许您简单地实现数据库切换.它定义了一系列方法.变量和规范,提供了一个独立于数据库的一致的数据库接口. DBI 可与下列进行交互:     ADO (ActiveX Data Ob			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZgxakb.html" rel="bookmark">UWP开发-在UWP中使用sqlite</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:UWP开发-在UWP中使用sqlite sqlite是一种轻量级的数据库,对于一些资源紧张又需要数据库的开发非常好用. SQLite 是一个开源的无服务器嵌入式数据库. 这些年来,它已作为面向存储在许多平台和设备上的数据的主要设备端技术出现. 通用 Windows 平台 (UWP) 支持并建议使用 SQLite 实现跨所有 Windows 10 设备系列的本地存储. SQLite 最适用于手机应用.面向 Windows 10 IoT 核心版(IoT 核心版)的嵌入式应用程序,以及作为企业关			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRdPXdz.html" rel="bookmark">SQLite 入门教程一 基本控制台（终端）命令&lowbar;SQLite</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.基本简介 SQLite 是一个自持的(self-contained).无服务器的.零配置的.事务型的关系型数据库引擎.因为他很小,所以也可以作为嵌入式数据库内建在你的应用程序中.SQLite 被应用在 Solaris 10操作系统.Mac OS 操作系统.iPhone 和 Skype 中.QT4 .Python . PHP 都默认支持 SQLite ,Firefox Amarok 等流行的应用程序在内部也使用了 SQLite. SQLite   数据库引擎实现了主要的 SQL-92 标准,引			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZKa56b.html" rel="bookmark">Lua编程中的一些基本语法整理&lowbar;Lua</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 Lua是相当简单易学,让我们开始创建第一个Lua程序!第一个Lua程序交互模式编程: Lua中提供了一个名为交互模式模式.在这种模式下,你可以键入一个接一个的指令,并得到立竿见影的效果.此所用的shell使用的是lua-i或只是lua的命令被调用.一旦在这种模式下,按Enter键和互动模式将被启动,如下图所示. $ lua -i $ Lua 5.1.4 Copyright (C) 1994-2008 Lua.org, PUC-Rio quit to end; cd, dir and edit			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVn6DYz.html" rel="bookmark">Lua编程中使用嵌套循环的使用教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了Lua编程中使用嵌套循环的使用教程,是Lua入门学习中的基础知识,需要的朋友可以参考下 Lua编程语言允许使用一个循环内嵌另一个循环.下文将介绍几个例子来说明这一概念. 语法 在Lua中嵌套循环语法语句如下: 代码如下: for init,max/min value, increment do for init,max/min value, increment do statement(s) end statement(s) end 在Lua编程语言中的嵌套的while循环			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJO3j8b.html" rel="bookmark">iOS中SQLite使用教程&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SQLite,是一款轻型的数据库,是遵守ACID的关系型数据库管理系统,它的设计目标是嵌入式的,而且目前已经在很多嵌入式产品中使用了它,它占用资源非常的低,在嵌入式设备中,可能只需要几百K的内存就够了.它能够支持Windows/Linux/Unix等等主流的操作系统,同时能够跟很多程序语言相结合,比如 Tcl.C#.PHP.Java等,还有ODBC接口,同样比起Mysql.PostgreSQL这两款开源的世界著名数据库管理系统来讲,它的处理速度比他们都快.SQLite第一个Alpha版本诞生于2			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRwBkp.html" rel="bookmark" class="title">warning The transaction log file is corrupted&period;</a>
					<div>
						Remark Even if appealing using compress option has a constraint when preparing the backup, as clearl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1Dn8b.html" rel="bookmark" class="title">&lbrack;c&num;&rsqb;&colon;如何在C＃中读写INI文件&lpar;一&rpar;</a>
					<div>
						INI文件就是扩展名为&quot;ini&quot;的文件.在Windows系统中,INI文件是很多,最重要的就是&quot;System.ini&quot;.&quot;System32.ini&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdB3mb.html" rel="bookmark" class="title">从&OpenCurlyDoubleQuote;div&plus;css&rdquo;说起谈结构的合理</a>
					<div>
						css  大家都知道,web标准在中国传播初期,人们使用&quot;div+css&quot;描述web标准,似乎有点道理,根据国内网页设计师的编码水平,看似就是使用div配合css来替代table布 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLEBRz.html" rel="bookmark" class="title">IE条件注释参考</a>
					<div>
						参考|条件 仅ie5.0以上版本支持 基本例子:&lt;!--[if IE]&gt;仅IE可见&lt;![endif]--&gt;&lt;!--[if IE 5.0]&gt;仅IE 5.0可见&lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6D7Lz.html" rel="bookmark" class="title">合肥妈妈：巧用META标签 迅速提升SEO排名</a>
					<div>
						站长们都知道,网页设计过程中源代码对seo排名有重要的作用,可以说,源代码中的META标签就是网站的脸面.搜索引擎正是通过读源代码后才了解网页内容的.那么我们就不能发现,在源代码中head区包含了众多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrnVWM.html" rel="bookmark" class="title">10个WEB设计戒律和10个设计师戒律</a>
					<div>
						两个10大戒律都是不是新鲜的总结了,他们很早就被国外设计组织提出并被翻译成中文&quot;引进&quot;到了国内,即使很早就已经出现的设计戒条,现在依然有用. 10个WEB设计戒律 最近 Busin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjWk8M.html" rel="bookmark" class="title">使用C&num;进行点对点通讯和文件传输（通讯基类部分） &lpar;From 阿赖的个性空间&rpar;</a>
					<div>
						最近一个项目要用到点对点文件传输,俺就到处找资料写程序,最后终于完成了,为了让别人少走些弯路,俺决定将俺程序中最重要的部分贡献出来,希望对大家有所帮助.俺的程序分三部分,包括发送部分.接受部分和一个两 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEqjAb.html" rel="bookmark" class="title">faq2</a>
					<div>
						1.如何解决有关浏览ASP页面,只在本地缓冲区读出的问题! Response.Expire =0 2.登录的验证号的生成?答:分别输出Hour(LogTime),Minute(LogTime),Sec ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGlnlb.html" rel="bookmark" class="title">Fireworks制作窗格效果图片的实例</a>
					<div>
						首先建立一个Fireworks文件,背景黑色,大小自己定义. 然后按Ctrl+R蹈入事先准备好的一幅图片(图片来自网络,侵权请及时告之!) 在画布上方画一矩形,笔触色及填充色都为白色,如图所示: 到历 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7PEKb.html" rel="bookmark" class="title">Windows 7中合并和删除网络位置的问题</a>
					<div>
						打开网络和共享中心, 在查看活动网络一栏中,点击活动网络的图标,记得是那个图标而不是文字,然后选择合并或删除网络位置. 如下图所示: 出处: http://ivan8321.blog.51cto.co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLO4RkM.html" rel="bookmark" class="title">PS抠发丝技巧</a>
					<div>
						  PS抠发丝技巧            原图 最终效果 1.打开素材图片,我们先简单分析发丝与背景的颜色差别,感觉色差还不是很好,先要简单的调色. 创建可选颜色调整图层,对绿色进行调整,参数设置如图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6yKBz.html" rel="bookmark" class="title">Flash开发移动设备技巧</a>
					<div>
						  随着Adobe Flash技术向iOS, Android, BlackBerry这三大移动平台的进军,必然将涌现出大量的基于Flash Player和AIR的手机和平板应用.然而移动设备的硬件限制 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBOvvb.html" rel="bookmark" class="title">Photoshop制作局部穿越画框的立体图</a>
					<div>
						教程在选素材图上有一定的讲究.所选的人物或其它素材中主体部分的跨度要大,如脚伸得很长或有一定的动感动作等.制作的时候也要注意好空间的划分,把跨度较大的局部单独放在一个空间里,其它部分就选区主要部分放在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLBKkb.html" rel="bookmark" class="title">在Word2010文档中创建图表</a>
					<div>
						第1步,打开Word2010文档窗口,切换到&quot;插入&quot;功能区.在&quot;插图&quot;分组中单击&quot;图表&quot;按钮,如图1所示. 图1 单击&quot;图表&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1Ae4b.html" rel="bookmark" class="title">五种解决win8&vert;Win8&period;1系统网络受限的方法</a>
					<div>
						网络受限在win8/win8.1系统中是出现频率比较高的一种网络故障,这时我们的网络将无法使用,而无线网络受限又是最多的一种,不少用户都因为win8.1系统网络受限感到苦恼,下面小编就该故障分享五个可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZPY4z.html" rel="bookmark" class="title">如何制作一个能杀毒的U盘</a>
					<div>
						  如今病毒施虐,如何有效保证电脑的安全成了非常重要的问题,下面就为大家介绍一个把U盘制作成为杀毒U盘的方法. 具体做法如下: 一.下载卡巴斯基 6 便携版,解压,(注意不要将解压目录置于中文路径中) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3BA1M.html" rel="bookmark" class="title">如何在Ubuntu14&period;04的Docker容器中运行OpenVPN？</a>
					<div>
						本文讲的是如何在Ubuntu14.04的Docker容器中运行OpenVPN?,[编者的话]本文来自DigitalOcean,DigitalOcean是美国的虚拟专用服务器提供商,本文主要介绍了如何在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NeENM.html" rel="bookmark" class="title">tcpip详解-1&period;为何SLIP的两端需要知道ip地址 2&period;拨号SLIP和非拨号的区别。如下。</a>
					<div>
						问题描述 1.为何SLIP的两端需要知道ip地址 2.拨号SLIP和非拨号的区别.如下. 1)为何SLIP的两端需要知道ip地址? 2)请教高手指点: 在TCP/IP详解卷一第四章ARP代理里面提到: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Y18RM.html" rel="bookmark" class="title">对于有志于成为架构师的开发者，支付宝架构团队有何建议？</a>
					<div>
						技术不是一蹴而就的事情,而是长时间积累的成果.此外,扎实的基本功是做好所有事情的开始!抽象的能力也是作为一名好的程序员必须具备的,我们在考虑问题的时候可能会遇到错综复杂的场景,从这些迷雾中找到一条明路 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxD25b.html" rel="bookmark" class="title">如何用ASP&period;NET搭建一个带贵宾通道的网站？</a>
					<div>
						问题描述 急需朋友交流,如在ASP.NET方面有心得的朋友,直接MSN或QQ沟通吧!!!!!meiqh@hotmail.com515484330主题ASP.NEt 解决方案 解决方案二:不就是一个会员 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NKJNM.html" rel="bookmark" class="title">xsd</a>
					<div>
						问题描述 http://ask.csdn.net/questions/215710 cout&lt;&lt;c&lt;&lt;&quot;&quot; |_| O|&quot;&quot;&lt;&l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3r2akz.html" rel="bookmark" class="title">C&num;编译问题   其他信息&colon; 未将对象引用设置到对象的实例。</a>
					<div>
						问题描述 privateboolcheckAdobeReader(){Microsoft.Win32.RegistryKeyuninstallNode=Microsoft.Win32.Registry ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRX7Nb.html" rel="bookmark" class="title">AI圈如何评价吴晓波的跨年演讲？</a>
					<div>
						当一个舆论领袖讲一样东西的时候,即使只是正确的废话,也有人为之欢欣鼓舞.----题记. 在2017年的第一天,也就是昨天,雷锋网亲眼目睹了吴晓波老师做完预见2017的全新跨年演讲后,朋友圈里的AI同仁 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgQj4b.html" rel="bookmark" class="title">Android XListView实现原理讲解及分析</a>
					<div>
						转载自:http://blog.csdn.net/zhaokaiqiang1992/article/details/42392731 XListview是一个非常受欢迎的下拉刷新控件,但是已经停止维护 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1r0KKp.html" rel="bookmark" class="title">操作系统-centos6&period;6误删除&sol;usr&sol;lib&sol;&ast;，该怎么恢复&excl;&excl;</a>
					<div>
						问题描述 centos6.6误删除/usr/lib/*,该怎么恢复!! 不小心删除了/usr/lib下的所有文件,我该怎么恢复?? 一些系统的命令都不能用,比如说yum,rpm. 感谢各位的帮助,不知 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Zr64p.html" rel="bookmark" class="title">linux 管理小命令4&mdash;&mdash; 压缩与解压缩下篇</a>
					<div>
						原文整理自网络: cpio命令用法 cpio命令      利用cpio 可将文件或目录从文件库获取出来或将散列文件拷贝到文件库.cpio 的指令格式:          cpio –i[bcdmrt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyXWNz.html" rel="bookmark" class="title">论坛上线之前 您掌握了多少资源</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 建立论坛仿佛成为了一种时尚,越来越 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWW0QjM.html" rel="bookmark" class="title">mplab 嵌入式c pic-mplab环境 长的C语言程序怎么调试？</a>
					<div>
						问题描述 mplab环境 长的C语言程序怎么调试? mplab IDE v8.8版本 #include main() { } 可运行成功BUILD SUCCEEDED 但是 再建立新的工程 运行一个1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/M9xmdXb.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDAyMTgxOTQ5NDU0MDY/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2WTJobGJtZDFiMnhwYm1Kc2IyYz0vZm9udC81YTZMNUwyVC9mb250c2l6ZS80MDAvZmlsbC9JMEpCUWtGQ01BPT0vZGlzc29sdmUvNzAvZ3Jhdml0eS9DZW50ZXI=.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/M9xmdXb.html" rel="bookmark" class="title">windows下用Python连接mysql报错问题&OpenCurlyDoubleQuote;MySQLdb in Python&colon; &OpenCurlyDoubleQuote;Can&amp;&num;039&semi;t connect to MySQL server on &amp;&num;039&semi;localhost&amp;&num;039&semi;&rdquo;&rdquo;</a>
					<div>
						        这几天在windows用Python连接mysql,报出了&quot;MySQLdb in Python: &quot;Can't connect to MySQL server on ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQ5D4p.html" rel="bookmark" class="title">行业网站面临瓶颈：如何摆脱成长的烦恼</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 在过去的一年中,主要以广告为盈利手段的行业网站正在面临发展的瓶颈.由于广告主广告投放量增速放缓,加上受到区域和会员规模的限制,资本对这些行业网站的盈利预 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
